Install Delphi 2007 in Windows 8.1 [Edit]

I'm trying to move my development platform from Windows 7 to Windows 8.1 but the Rad Studio 2007 installer fails. It tries to install the .Net 2.0 prerequisite and then stops with the following error: ".NET Framework 2.0 (x64) could not be installed." I neither want nor need this framework so is there any way to disable this? Or get past this error? TIA.
0
Fulvio
10/26/2013 3:46:37 PM
embarcadero.delphi.install 1244 articles. 0 followers. Follow

2 Replies
5017 Views

Similar Articles

[PageSpeed] 42

The IDE needs .Net. I suggest you try Right Click and Run as 
Administrator and see if that solves it.

Fulvio Castelli wrote:
> I'm trying to move my development platform from Windows 7 to Windows 8.1 but the Rad Studio 2007 installer fails. It tries to install the .Net 2.0 prerequisite and then stops with the following error: ".NET Framework 2.0 (x64) could not be installed." I neither want nor need this framework so is there any way to disable this? Or get past this error? TIA.
>
0
quinn
10/28/2013 6:32:55 PM
> {quote:title=quinn wildman wrote:}{quote}
> The IDE needs .Net. I suggest you try Right Click and Run as 
> Administrator and see if that solves it.
> 

Tried that but it didn't help -- Windows 8 does not like the .NET 2.0 installers for some reason. But I did find a way around this if anyone's interested. The solution requires two steps:

First, enable .NET 2 and 3 support in Windows 8. See following link: http://blogs.technet.com/b/aviraj/archive/2012/08/04/windows-8-enable-net-framework-3-5-includes-net-2-0-and-3-0-i-e-netfx3-feature-in-online-amp-offline-mode.aspx

Second, install the SDK. Download the SDK setup file (http://www.microsoft.com/en-us/download/details.aspx?id=19988) but don't run it, just save it to disk. Now use WinRAR to unzip the file into a folder (it's just a zip file). In this folder you will see a bunch of files including install.exe -- run it AsAdmin and that's it, you're done.
0
Fulvio
10/28/2013 6:45:45 PM
Reply:

Similar Artilces:

Installing RADS 2010, Delphi Prism under windows 8.1 sl, 64bits
Hello, My current dev. machine is totaly broke down and get a replacement machine with 64bits cpu and preinstalled windows 8.1 single language 64bits os. I'm maintaining code of D2005, RADS2010 and Delphi Prism and would like to run those dev. tools under 64bits machine/os, would it be any problems that I should aware of?, or does anybody has experience on running d2005, rads2010 and prism under 64bits os? As I would like to transfer the license to the new machine how can I preserve the license, as far as I know there is a limitation on registration counter what is the procedure?....

Buying a new Windows 8.1 laptop with Windows 8.1 installed
When buying a new laptop from one of the major manufacturers, like Dell or Lenovo, with Windows 8.1 installed, is it possible to set it up with just a Local Account and not a Microsoft Account? -- Chris On 11/2/2013 11:28 AM, Chris wrote: > When buying a new laptop from one of the major > manufacturers, like Dell or Lenovo, with Windows 8.1 > installed, is it possible to set it up with just a Local > Account and not a Microsoft Account? Yes, look here; http://www.techrepublic.com/blog/windows-and-office/quick-tip-change-to-a-local-account-in-windows-81/ On 11/2/201...

Delphi 8 requires .Net 1.1 even though 2.0 is already installed
I am installing Delphi 8 to a Windows 2000 Pro machine that already has .NET 2.0 installed. D8 refuses to install unless I allow it to install .Net 1.1. This seems rather silly. Am I supposed to trash my .NET 2.0 install for the sake of Delphi 8? Peter Kapustinsky wrote: > Am I supposed to trash my .NET 2.0 install for the sake of Delphi 8? You dont' have to trash your .NET 2.0 install. Installing 1.1 won't effect it at all. -- Nick Hodges Delphi Product Manager - Embarcadero http://blogs.codegear.com/nickhodges > You dont' have to trash your .NET 2.0 ...

Install keeps failing : Cannot install windows installer 3.1
Hello,This is quite weird, whenever I try to install VS 2005 .net express, I get a failure right at the start of the installation process, the installer says : Could'nt install Windows installer 3.1 ....sigh, I'll never get this to work ..thanks Can you try to install Windows installer 3.1 from the Microsoft web site?http://www.microsoft.com/downloads/details.aspx?familyid=889482fc-5f56-4a38-b838-de776fd4138c   Let us know if that works? Thanks. -Bret...

Installation of Application Center 2000, with Visual Studio 2003, Framework 1.1 installed in the Windows 2003 Server Installed.
I am trying to Install the Application Center 2000 in the Windows 2003 Server with the Visual Studio 7.0 installed in it. I am getting the error message that--- " The Installation is not supported by this Version of Window" --- where as in the sites it is written that Application center 2000 works best with the Windows 2003 Server, Enterprize Version. Please Help me with all the Details....

Installing Delphi 2006 Pro under Windows 8...is this possible?
I would like to get a new Win 8 laptop, and install Delphi 2006 on it, so that I can compile, debug, and run 32-bit apps. However, I've heard that the installation will not work, and that Win 8 won't run it, and will issue a message saying that it's not compatible. I am wondering if there is any way of installing Delphi 2006 on a Windows 8 machine. If there is a way, let me know. Thanks. On 17/06/2013 19:00, Jeff Yankauer wrote: > I would like to get a new Win 8 laptop, and install Delphi 2006 on it, so that I can compile, debug, and run 32-bit apps. However, I've h...

Trouble installing Delphi 6 in Win 8.1
The General Update 2 D6_Upd2_Pro fails to run. I see the unpacking progress screen for a split second then the cursor shows the busy circle for a few seconds. Then...nothing. The exe is still in the task list. Anyone have a fix for this? Dan Statham wrote: > The General Update 2 D6_Upd2_Pro fails to run. I see the unpacking > progress screen for a split second then the cursor shows the busy circle > for a few seconds. Then...nothing. The exe is still in the task list. > Anyone have a fix for this? Try running it in compatibility mode. -- Jeff Overcash (TeamB) ...

Problem installing RAD Delphi 2007 Enterprise [Edit]
I have problems with installing Delphi 2007 Enterprise. I get the following error: *Downloading of installation data from the web has failed.* *Please make sure that you are connected to the internet.* I have internet access and it is working with no problems. The installation worked without any problems the fist time. Does anyone have any ideas about this problem. Thanks Leon Edited by: Leo Dil on Apr 8, 2010 1:17 AM > {quote:title=Leo Dil wrote:}{quote} > Does anyone have any ideas about this problem. You can always download the .ISO and make your own installat...

Delphi 7 in Windows 8.1 Pro [Edit]
Hello All I'm aware that Delphi 7 is rather old creature, but... I had Delphi 7 IDE working on my Win 8.1 for quite some time. Since probably some Windows update, Delphi 7 IDE freezes when opening Save/Open dialog, and it is impossible to end taks from Task Manager, because it freezes as well. Hard restart is required. Has anyony encountered something like this. That Win 8.1 instance of my Delphi 7 is the exact copy of my previous installation in Windows 7 - same component even don't recompiled, but installed from copied packages. Funny thing is that app compiled on Win 8.1 th...

Installed VS.NET 2002. That installed 1.0, but I HAD 1.1 installed. How to remove 1.0?
I haven't seen this anywhere, so I figured I would add it here. First of all, it is incorrect to recommend to anyone that who has VS.NET 2002 to do ANYTHING but first install VS.NET 2002. The installl order for VS.NET 2002 and .Net Framwork 1.1 SHOULD BE: 0. Install ALL windows updates for your pc EXCEPT FOR .NET Framwork 1.1 1. Install VS.NET 2002 2. Install MSDE that comes w/VS.NET 2002 (USE A NAMED INSTANCE! Never usee the default instance) 2. Install MDAC 2.8 3. Install .Net Framework 1.1 4. SOMEHOW GET RID OF .NET Framework and get VS.NET and IIS 5.x to work with .Net Framework 1.1 5. Install MSDeskSP3.Net 6. Install MSSQL Client Tools if you have MSSQL. Don't even bother trying to install the instance. This SHOULD be the order, and NOT anything else. I want to make sure I give the benefit of this to anyone else who has VS.NET 2002 and is trying to install everything on a new XP Pro PC. Unfortunately it's not the way it was recommended to me, and more important is my question now. MY QUESTION IS HOW DO I get VS.NET and IIS 5.x to work with .NET Framework 1.1 so I can get rid of .NET Framework 1.0? I don't want both on my PC. And I don't want to work w/an old version of 1.1 as most of you would agree. Can anyone help me that KNOWS the answer? Anyone from microsoft? It's frustrating when you've spent 1000's of dollars on microsoft software yet can't get ANY support. Thanks in advance for any knowledgable help. I shoul...

How to install Rad Studio 2007 on Windows 8.1 64bit
I want to install Rad Studio 2007 on a new Surface Pro 3. This machine uses win 8.1 64 bit. I've still got the disks, but don't seem to be able to install from them. I do have a dying win 7 64 bit machine has 2007 installed on it. I know this is an old version, I do have all of the newer versions, but I need to support some legacy programs. When I try to install, the installer wants to install .net 2.0. This is where the install fails. I want to get rid of the older hardware and just use my shiny new toy. Any ideas as to how to install? Thanks Bob Robert wrote: ...

How do I create a project with a new installation of Delphi 8 .NET ? [Edit]
I have used Delphi 5 for many years, and know how to create a project. I bought Delphi 8 with .NET, made a fresh install, it seemed fine. Naturally, I want to create a new project. Whatever I do, it wont work. I uninstalled it, reinstalled again, it still won't work. One error message tells me is that I don't have a personality. A complaint. It shouldn't have this problem. What is wrong ? > {quote:title=John Walker wrote:}{quote} > I have used Delphi 5 for many years, and know how to create a project. > I bought Delphi 8 with .NET, made a fresh install, it see...

Installation of Delphi 2007
My computer is blocked (windows no longer works) and I must reinstall Delphi 2007. How can I recover my license of Delphi 2007 ? No solution ? Bertrand KIMM wrote: > My computer is blocked (windows no longer works) and I must reinstall Delphi 2007. > How can I recover my license of Delphi 2007 ? > You can get serial number and software from our registered users download area: 1. http://members.embarcadero.com 2. Login using the same credentials you used to register your product 3. Agree to export terms if prompted to do so 4. Click My registered products to get your s...

superreview requested: [Bug 283224] mail installer version text needs to be bumped from 1.0 to 1.0.1 : [Attachment 175211] Bump Tb Windows installer to version 1.0.1
Chase Phillips <cmp@mozilla.org> has asked Scott MacGregor <mscott@mozilla.org> for superreview: Bug 283224: mail installer version text needs to be bumped from 1.0 to 1.0.1 https://bugzilla.mozilla.org/show_bug.cgi?id=283224 Attachment 175211: Bump Tb Windows installer to version 1.0.1 https://bugzilla.mozilla.org/attachment.cgi?id=175211&action=edit ...

superreview granted: [Bug 283224] mail installer version text needs to be bumped from 1.0 to 1.0.1 : [Attachment 175211] Bump Tb Windows installer to version 1.0.1
Scott MacGregor <mscott@mozilla.org> has granted Chase Phillips <cmp@mozilla.org>'s request for superreview: Bug 283224: mail installer version text needs to be bumped from 1.0 to 1.0.1 https://bugzilla.mozilla.org/show_bug.cgi?id=283224 Attachment 175211: Bump Tb Windows installer to version 1.0.1 https://bugzilla.mozilla.org/attachment.cgi?id=175211&action=edit ------- Additional Comments from Scott MacGregor <mscott@mozilla.org> thanks chase ...

jcl-2.3.1.4197 for Delphi 6 fails to install [Edit]
hello, i have a `jcl-2.3.1.4197` from http://sourceforge.net/projects/jcl/files/JCL%20Releases/JCL%202.3%20Build%204197/ i have installed the same for Delphi 7, and delphi 2006 without a problem but when installing for Delphi 6 it gives me an error {code} Borland Delphi Version 14.0 Copyright (c) 1983,2002 Borland Software Corporation G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclSysUtils.pas(1210) Error: Undeclared identifier: 'CheckWin32Version' G:\UFastMM4\Download\JCL-23~1.419\JCL-23~1.419\source\common\JclSysUtils.pas(1210) Error: Operator not applicabl...

App works in IOS simulator with Delphi XE4 and fails after Update 1 install [Edit]
Hi! When I install update 1 and installing new update 1 PAserver and run my application (very simple Firemonkey Mobile Application) I get: "Project xxx raised exception class SIGSEGV (11)". When I reinstall Delphi XE (without update 1) everything works fine again, I have tried to remove all code in FormCreate and OnActivate without luck. What can this be? I have also tried with the old PAserver but this doesnt work either. It Works when running to physical devices like Iphone4 and Ipad mini. But when I select to run from the simulator this errormessage comes back ag...

Installed Delphi 2010 update 4, but About box shows update 1. Did I update? [Edit]
I ran the Delphi 2010 Update 4 from the start menu's Embarcadero RAD Studio 10 > Check for Updates. It seemed to go fine. Afterward, my copy of Delphi 2010 is still showing it has Update 1 in the About window. I tried rebooting, but it still shows Update 1. I'm running Windows Vista, with a Standard User account. How can I tell if the update really occurred? When I go to Embarcadero RAD Studio 10 > Check for Updates now, it doesn't show Update 4 as an option any more. Edited by: Chris Irwin on Dec 15, 2009 9:00 AM > {quote:title=Chris Irwin wrote:}{quot...

Installation of the 1.8 nightly's over installed 1.8a Moz?
Help please. Moving forward, I've apparently had no problem in using the installer for Moz 1.7 as released and it works. On one of the boxes for test, I've installed Moz 1.8a with the installer for it over that. Seems to work fine here. What I have been doing is installing each time with the installer version. But now, at this point, the only nightly availability for test seems to be the .ZIP version. Is the .ZIP version such that I can take a Moz 1.8 installed operation that is working apparently fine, and then simply UNZIP the nightly over that? Looking at t...

How do I install Delphi 2007 components into C++Builder 2007?
Hi Folks, I have a Delphi component that installs into Delphi 2007, and it then appears in the tool palette. That's all fine. When I then run C++Builder 2007, I can see that my component package is already installed, and can even uninstall and re-install it, but the component doesn't appear in the tool palette. What must I do to get it to appear in the palette for C++Builder? -- Simon <Simon Armstrong> wrote in message news:5932@forums.codegear.com... > What must I do to get it to appear in the palette for C++Builder? Did you enable the "Generate all...

Install Delphi 2010 Ent in Windows XP or Windows 7
What operating system would you recommend installing and using Delphi 2010 Enterprise in? Windows XP or Windows 7 32 bit or 64 bit. And why? Thanks Greg Saunders wrote: > What operating system would you recommend installing and using Delphi > 2010 Enterprise in? > > Windows XP or Windows 7 Windows 7. > > 32 bit or 64 bit. 32 bit. > > And why? Windows 7 is a lot supperior and more stable than windows XP, also it recognizes more than 3 GB of RAM. Delphi 2010 supports Windows 7 Libraries, you can take advantage of this in yo...

I have installed the Delphi 2010, How install XE5 on the same computer?
HI! I have Delphi 2010 in my notebook. And I buy one new upgrade XE5. 1-To install XE5, I have to uninstall 2010 before ? 2-If I install XE5 without uninstalling 2010, the two continue working ? 3-Ideally I could continue compiling my systems, with 2010. While doing compatibility tests with XP5. This is possible ? Thanks to anyone who can help me ! Luiz, | I have Delphi 2010 in my notebook. | And I buy one new upgrade XE5. | | 1-To install XE5, I have to uninstall 2010 before ? | | 2-If I install XE5 without uninstalling 2010, the two continue | working ? | | 3-...

Installing Delphi 7 and Delphi XE5 on same machine
Is there any implication installing Delphi 7 and XE5 on a same machine? Will it affect the 3rd party components, libraries, dll etc.? On 15/12/2013 23:56, Ebizit IT wrote: > Is there any implication installing Delphi 7 and XE5 on a same machine? Will it affect the 3rd party components, libraries, dll etc.? Ebizit, The usual guideline is to install in release order, Delphi 7 first, then XE5. I would also advise installing in a dedicated, security open directory such as: C:\Tools\Delphi-7 C:\Tools\Delphi-XE5 However, since I cannot afford the grossly inflated pric...

Delphi 6 and Delphi 2010 Install same machine
I'm currently still on Delphi 6 for some legacy software, but I'm looking at installing Delphi 2010 on my Windows XP machine. Are there any known issues with installing D2010 on an XP machine that already has Delphi 6 installed? (I'm not talking about updating the projects code/controls/etc, just running the IDE's). > I'm currently still on Delphi 6 for some legacy software, but I'm > looking at installing Delphi 2010 on my Windows XP machine. > > Are there any known issues with installing D2010 on an XP machine that > already has Delphi 6 i...

Web resources about - Install Delphi 2007 in Windows 8.1 [Edit] - embarcadero.delphi.install

Nullsoft Scriptable Install System - Wikipedia, the free encyclopedia
This article has an unclear citation style . The references used may be made clearer with a different or consistent style of citation , footnoting ...

Facebook Asks Users To Install Messenger For Windows
Just days after officially rolling out Messenger for Windows , Facebook has begun prompting people to install the application. Some Facebook ...

Drive Mobile App Awareness and Installs Over The Holidays
Just in time for the holidays, we're announcing new buying, creative and targeting options for Facebook mobile app ads.

New ways to reach the right people with mobile app install ads
Since we launched mobile app install ads six months ago, we have added several new features to improve the product for users and developers. ...

Facebook Director of Product Management Doug Purdy discusses Parse, Mobile App Install Ads
... discussed about mobile app discovery difficulties faced by developers. He discussed how developers can use the platform to drive app installations ...

Perth shopping centre installs WA's biggest solar power system
A thousand solar panels saves $20,000 a month.

How to: Install Android N developer preview factory images on Nexus 6P, Nexus 5X, Nexus 6, Nexus 9, and ...
Google introduced to the world the next version of Android, dubbed Android N, oddly early this year compared to the usual announcement at its ...

Should you install N preview on your main device? Here are some of the known issues with it.
... standing for “nut telling,” according to Hiroshi Lockheimer) is here and we’re all super excited to see it in action. But is it safe to install ...

Comcast failed to install Internet for 10 months then demanded $60,000 in fees
Tech startup needs a new office because it can't get Comcast Internet.

Las Vegas installs cool solar-kinetic street lights
Filed under: Etc. , Green , Videos , Emissions , Green Culture , Technology , Solar EnGoPlanet is providing Sin City with LED street lights powered ...

Resources last updated: 3/25/2016 4:26:44 PM